	`define NONE		0
	`define HALF_UPPER	1
	`define FULL		5

	`define K8		8
	`define	K16		16

	`ifdef cat24c01
		chipName = "cat24c01 ";
		addrBytes = 1;
		`define addrBits 7
		lPage = 16;
		`define pgExpMinusOne 3
		allMemLength = 128;
		reqHeaderFirstHalf = 4'b1010;
		//addrInfoByteW = {headerFirstHalf,addrDev[2:0],`B0}; 
		//addrInfoByteR = {headerFirstHalf,addrDev[2:0],`B1};
		slaveAddrBits = 3;
		protectType = `FULL;
		`include "Timing.v"
	`endif

	`ifdef cat24c02
		chipName = "cat24c02 ";
		addrBytes = 1;
		`define addrBits 8
		lPage = 16;
		`define pgExpMinusOne 3
		allMemLength = 256;
		reqHeaderFirstHalf = 4'b1010;
		protectType = `FULL;
		//addrInfoByteW = {headerFirstHalf,addrDev[2:0],`B0}; 
		//addrInfoByteR = {headerFirstHalf,addrDev[2:0],`B1};
		slaveAddrBits = 3;
		`include "Timing.v"
	`endif

	`ifdef cat24c03
		chipName = "cat24c03 ";
		addrBytes = 1;
		`define addrBits 8
		lPage = 16;
		`define pgExpMinusOne 3
		allMemLength = 256;
		reqHeaderFirstHalf = 4'b1010;
		protectType = `HALF_UPPER;
		//addrInfoByteW = {headerFirstHalf,addrDev[2:0],`B0}; 
		//addrInfoByteR = {headerFirstHalf,addrDev[2:0],`B1};
		slaveAddrBits = 3;
		`include "Timing.v"
	`endif

	`ifdef cat24c04
		chipName = "cat24c04 ";
		addrBytes = 1;
		`define addrBits 9
		lPage = 16;
		`define pgExpMinusOne 3
		allMemLength = 512;
		reqHeaderFirstHalf = 4'b1010;
		//addrInfoByteW = {headerFirstHalf,addrDev[2:1],addr[8],`B0}; 
		//addrInfoByteR = {headerFirstHalf,addrDev[2:1],addr[8],`B1};
		slaveAddrBits = 2;
		protectType = `FULL;
		`include "Timing.v"
	`endif

	`ifdef cat24c05
		chipName = "cat24c05 ";
		addrBytes = 1;
		`define addrBits 9
		lPage = 16;
		`define pgExpMinusOne 3
		allMemLength = 512;
		reqHeaderFirstHalf = 4'b1010;
		//addrInfoByteW = {headerFirstHalf,addrDev[2:1],addr[8],`B0}; 
		//addrInfoByteR = {headerFirstHalf,addrDev[2:1],addr[8],`B1};
		slaveAddrBits = 2;
		protectType = `HALF_UPPER;
		`include "Timing.v"
	`endif

	`ifdef cat24c08
		chipName = "cat24c08 ";
		addrBytes = 1;
		`define addrBits 10
		lPage = 16;
		`define pgExpMinusOne 3
		allMemLength = 1024;
		reqHeaderFirstHalf = 4'b1010;
		//addrInfoByteW = {headerFirstHalf,addrDev[2],addr[9:8],`B0}; 
		//addrInfoByteR = {headerFirstHalf,addrDev[2],addr[9:8],`B1};
		slaveAddrBits = 1;
		protectType = `FULL;
		`include "Timing.v"
	`endif

	`ifdef cat24c16
		chipName = "cat24c16 ";
		addrBytes = 1;
		`define addrBits 11
		lPage = 16;
		`define pgExpMinusOne 3
		allMemLength = 2048;
		reqHeaderFirstHalf = 4'b1010;
		//addrInfoByteW = {headerFirstHalf,addr[10:8],`B0}; 
		//addrInfoByteR = {headerFirstHalf,addr[10:8],`B1};
		slaveAddrBits = 0;
		protectType = `FULL;
		`include "Timing.v"
	`endif

	`ifdef cat24c164
		chipName = "cat24c164";
		addrBytes = 1;
		`define addrBits 11
		lPage = 16;
		`define pgExpMinusOne 3
		allMemLength = 2048;
		reqHeaderFirstHalf[3:0] = {1'b1,addrDev[2],~addrDev[1],addrDev[0]};
		//addrInfoByteW = {headerFirstHalf,addr[10:8],`B0}; 
		//addrInfoByteR = {headerFirstHalf,addr[10:8],`B1};
		slaveAddrBits = 0;
		protectType = `FULL;
		`include "Timing.v"
	`endif
//____________________________________________

	`ifdef cat24c32
		chipName = "cat24c32 ";
		addrBytes = 2;
		`define addrBits 12
		lPage = 32;
		`define pgExpMinusOne 4
		allMemLength = 4096;
		reqHeaderFirstHalf = 4'b1010;
		//addrInfoByteW = {headerFirstHalf,addrDev[2:0],`B0}; 
		//addrInfoByteR = {headerFirstHalf,addrDev[2:0],`B1};
		slaveAddrBits = 3;
		protectType = `FULL;
		`include "Timing.v"
	`endif

	`ifdef cat24c64
		chipName = "cat24c64 ";
		addrBytes = 2;
		`define addrBits 13
		lPage = 64;
		`define pgExpMinusOne 5
		allMemLength = 8192;
		reqHeaderFirstHalf = 4'b1010;
		//addrInfoByteW = {headerFirstHalf,addrDev[2:0],`B0}; 
		//addrInfoByteR = {headerFirstHalf,addrDev[2:0],`B1};
		slaveAddrBits = 3;
		protectType = `FULL;
		`include "Timing.v"
	`endif
//____________________________________________

	`ifdef cat24c128
		chipName = "cat24c128";
		addrBytes = 2;
		`define addrBits 14
		lPage = 64;
		`define pgExpMinusOne 5
		allMemLength = 16384;
		reqHeaderFirstHalf = 4'b1010;
		//addrInfoByteW = {headerFirstHalf,addrDev[2:0],`B0}; 
		//addrInfoByteR = {headerFirstHalf,addrDev[2:0],`B1};
		slaveAddrBits = 3;
		protectType = `FULL;
		`include "Timing.v"
	`endif

	`ifdef cat24c256
		chipName = "cat24c256";
		addrBytes = 2;
		`define addrBits 15
		lPage = 64;
		`define pgExpMinusOne 5
		allMemLength = 32768;
		reqHeaderFirstHalf = 4'b1010;
		//addrInfoByteW = {headerFirstHalf,addrDev[2:0],`B0}; 
		//addrInfoByteR = {headerFirstHalf,addrDev[2:0],`B1};
		slaveAddrBits = 3;
		protectType = `FULL;
		`include "Timing.v"
	`endif

